unit graphini;      {Dienstag, 5. 1. '99}

interface
function graphinit(name:string;modus:integer):boolean;
procedure graphinfo(x,y:word);

implementation
uses graph,dos,wandler;

procedure graphinfo(x,y:word);
begin
  settextstyle(0,0,0);
  outtextxy(x,y,int2str(getmaxx+1)+'x'+int2str(getmaxy+1)+'x'+int2str(getmaxcolor+1));
end;

function graphinit(name:string;modus:integer):boolean;
var
  ErrCode,grDriver: Integer;
  i:byte;
begin
  for i:=1 to paramcount do
  if paramstr(i)='-modus' then
  begin
    inc(i);
    modus:=str2int(paramstr(i));
  end
  else if paramstr(i)='-treiber' then
  begin
    inc(i);
    name:=paramstr(i);
  end;
  if ((name='')or(name='detect')) then grDriver:= Detect else
    grdriver := installuserdriver(name,nil);
  InitGraph(grDriver, Modus,getenv('bgipath'));
  ErrCode := GraphResult;
  if ErrCode = grOk then graphinit:=true else
    begin
       writeln;
       writeln('Grafik-Fehler: ', GraphErrorMsg(ErrCode));
       write('<Enter> drcken...'); readln;
       graphinit:=false;
    end;
end;

end.