{$N+,E-,G+}
unit mandsave;

INTERFACE
uses
 graph, crt, mndluni2, dos, wandler;
type
  realZahl=extended;
  kZahl=record
          a,b: realZahl;
        end;
  stelle=record
           seite, aecke, becke: realZahl;
         end;

procedure schoner;

IMPLEMENTATION

function betrag(rein:real):real;
begin
  if rein < 0 then betrag:= (rein * -1)
              else betrag:= rein;
end;

procedure schoner;
const
  maxStellen=20;
var
  ch: char;
  stellen:array[1..maxStellen] of stelle;
  stellenAnzahl,stelleNr,speed,warte: byte;
  winkel: integer;
  posX,posY,w,speedx, speedy: real;
  pytha: longint;
  seite, aecke, becke:realZahl;
  durchmesser,radius,genau,maxfarb,maxx,maxy,mitte,groesse,
    altx,alty,neux,neuy: word;
  bild:pointer;

  procedure stellenLaden;
  var
    DirInfo: SearchRec;
  begin
    stellenAnzahl:=0;
    FindFirst('*.vms', Archive, DirInfo);
    while ((DosError = 0) and (stellenAnzahl < maxStellen )) do
    begin
      inc(stellenAnzahl);
      FindNext(DirInfo);
      stelleLaden(dirInfo.name, stellen[stellenAnzahl].aecke,
                  stellen[stellenAnzahl].becke, stellen[stellenAnzahl].seite);
    end;
  end;

  function farbe(x:word):byte;
  begin
    if x >= genau then farbe:=maxFarb else
      if trunc(x / (maxfarb-3)) mod 2 = 0 then farbe:=(x mod (maxfarb-3) + 1)
        else farbe:=(((maxfarb - 2) - x mod (maxfarb - 3)))
  end;
  procedure berechne(xpos,ypos:word);
  var
    c,z: kZahl;
    zaehler: word;
    spalt: realZahl;
    procedure kQuadriere(var z: kZahl);
    var
      hilf: kZahl;
    begin
      hilf.a:=(sqr(z.a) - sqr(z.b));
      hilf.b:=(2 * z.a * z.b);
      z:=hilf;
    end;
  begin
     spalt:=(seite / durchmesser);
     c.a:=(xpos * spalt + aecke);
     c.b:=((durchmesser-ypos) * spalt + becke);
     z.a:=0;
     z.b:=0;
     zaehler:=0;
     repeat
       inc(zaehler);
       kQuadriere(z);
       z.a:= z.a + c.a;
       z.b:= z.b + c.b;
     until ((zaehler > genau) or (sqrt(sqr(z.a) + sqr(z.b)) > 2));
     putpixel((round(posx)+xpos),(round(posy)+ypos),farbe(zaehler));
  end; {berechne}
  procedure laden(nummer:byte);
  var
    i,j : integer;
  begin
    repeat
      stelleNr:=(random(stellenAnzahl) + 1);
    until (stelleNr<>nummer);
    seite:=stellen[stelleNr].seite;
    aecke:=(stellen[stelleNr].aecke - seite / 2);
    becke:=(stellen[stelleNr].becke - seite / 2);
    berechne(radius,radius);
    pytha:=sqr(radius);
    for i:= 0 to (radius + 1) do
    if not keypressed then
      for j:= (1-i) to i do
      begin
        if (sqr(i)+sqr(j)) <= pytha then
        begin
          berechne((radius+i),(radius+j));
          berechne((radius-i),(radius-j));
          berechne((radius-j),(radius+i));
          berechne((radius+j),(radius-i));
        end;
      end
    else i:=(radius+1);
    groesse:=imageSize(round(posx), round(posy),
                       (round(posx)+durchmesser), (round(posy)+durchmesser));
    getMem(bild,groesse);
    getImage(round(posx), round(posy),
             (round(posx)+durchmesser), (round(posy)+durchmesser), bild^);
  end;
  procedure taste;
  begin
    ch:=readkey;
    case ch of
      '+': inc(speed);
      '-': if speed > 0 then dec(speed);
      'p': repeat until keypressed;
      'd': if warte < 255 then inc(warte);
      's': if warte > 0 then dec(warte);
      'w': if winkel < 360 then inc(winkel);
      's': if winkel > 0 then dec(winkel);
      'i': if genau < 65535 then inc(genau);
      'u': if genau > 0 then dec(genau);
    end;
    bar(0,0,110,60);
    outtextxy(10,10,'Winkel: ' + int2str(winkel));
    outtextxy(10,20,'Speed: ' + int2str(speed));
    outtextxy(10,30,'Delay: ' + int2str(warte));
    outtextxy(10,40,'MaxIt: ' + int2str(genau));
    outtextxy(10,50,'Groesse: ' + int2str(groesse));
  end;
begin
  maxx:=getmaxx;
  maxy:=getmaxy;
  genau:=500;
  warte:=40;
  durchmesser:=round(maxx / 64 * 10);
  radius:=durchmesser div 2;
  posX:=round(maxx / 2 - radius);
  posY:=round(maxy / 2 - radius);
  speed:=3;
  winkel:=(random(360) + 1);
  maxFarb:=getmaxcolor;
  clearviewport;
  stellenLaden;
  laden(stellenAnzahl+1);
  setfillstyle(1,0);
  neux:=round(posx);
  neuy:=round(posy);
  repeat
    altx:=neux;
    alty:=neuy;
    w := winkel * pi/180;
    posx:=posx + speed * cos(w);
    posy:=posy - speed * sin(w);
    neux:=round(posx);
    neuy:=round(posy);
    bar(altx, alty, (altx + durchmesser), (alty + durchmesser));
    putimage(neux,neuy,bild^,normalput);
    delay(warte);
    speedx:=betrag(speed * cos(w));
    speedy:=betrag(speed * sin(w));
    if ( ((posx + durchmesser + speedx) >= maxx) or ((posx - speedx) <= 0)) then
      winkel:=(180-winkel)
    else
    if ( ((posy + durchmesser + speedy) > maxy) or ((posy - speedy) < 0)) then
    begin
      winkel:=(360-winkel);
      freeMem(bild,groesse);
      laden(stelleNr);
    end;
    if keypressed then taste;
  until ch=char(27);
  freeMem(bild,groesse);
end;

end.
{$N-,E+,G-}